[arch-commits] Commit in automake/repos (3 files)

Allan McRae allan at archlinux.org
Wed Apr 4 05:05:52 EDT 2012


    Date: Wednesday, April 4, 2012 @ 05:05:52
  Author: allan
Revision: 155494

archrelease: copy trunk to testing-any

Added:
  automake/repos/testing-any/
  automake/repos/testing-any/PKGBUILD
    (from rev 155493, automake/trunk/PKGBUILD)
  automake/repos/testing-any/automake.install
    (from rev 155493, automake/trunk/automake.install)

------------------+
 PKGBUILD         |   35 +++++++++++++++++++++++++++++++++++
 automake.install |   22 ++++++++++++++++++++++
 2 files changed, 57 insertions(+)

Copied: automake/repos/testing-any/PKGBUILD (from rev 155493, automake/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD	                        (rev 0)
+++ testing-any/PKGBUILD	2012-04-04 09:05:52 UTC (rev 155494)
@@ -0,0 +1,35 @@
+# $Id$
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=automake
+pkgver=1.11.4
+pkgrel=1
+pkgdesc="A GNU tool for automatically creating Makefiles"
+arch=('any')
+license=('GPL')
+url="http://www.gnu.org/software/automake"
+groups=('base-devel')
+depends=('perl' 'bash')
+makedepends=('autoconf')
+install=automake.install
+source=(ftp://ftp.gnu.org/gnu/${pkgname}/${pkgname}-${pkgver}.tar.gz{,.sig})
+md5sums=('f4c545f01252089d2c3837e1d1d3e21b'
+         '290d7b0dc40011b3956decc1effb0bb1')
+
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  ./configure --prefix=/usr
+  make
+}
+
+check()
+{
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make check
+}
+
+package() {
+  cd ${srcdir}/${pkgname}-${pkgver}
+  make DESTDIR=${pkgdir} install
+}

Copied: automake/repos/testing-any/automake.install (from rev 155493, automake/trunk/automake.install)
===================================================================
--- testing-any/automake.install	                        (rev 0)
+++ testing-any/automake.install	2012-04-04 09:05:52 UTC (rev 155494)
@@ -0,0 +1,22 @@
+infodir=/usr/share/info
+filelist=(automake.info automake.info-1 automake.info-2)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+# vim:set ts=2 sw=2 et:



More information about the arch-commits mailing list